## org.eclipse.emf.transaction.internal
Class BlockChangePropagationOption

    java.lang.Object
      org.eclipse.emf.transaction.util.BasicTransactionOptionMetadata
          org.eclipse.emf.transaction.internal.BlockChangePropagationOption

All Implemented Interfaces:
  Transaction.OptionMetadata

    public class BlockChangePropagationOption

extends BasicTransactionOptionMetadata

Metadata implementation for the non-trivial complexity of the `TransactionImpl.BLOCK_CHANGE_PROPAGATION` transaction option.

Since:
  1.3

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.transaction.Transaction.OptionMetadata
`Transaction.OptionMetadata.Registry`

Constructor Summary
`BlockChangePropagationOption()` Initializes me.

Method Summary
`void` `inherit(Map<?,?> parentOptions, Map<Object,Object> childOptions, boolean force)` Updates the options map of a child transaction to inherit the setting in a parent transaction, if it is a hereditary option and the child does not already have a setting for it.

Methods inherited from class org.eclipse.emf.transaction.util.BasicTransactionOptionMetadata
`getDefaultValue, getOption, getType, getValue, isHereditary, isSet, isTag, newBoolean, safeClass, safeEquals, sameSetting, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BlockChangePropagationOption

    public BlockChangePropagationOption()

  Initializes me.

Method Detail

### inherit

    public void inherit(Map<?,?> parentOptions,
                        Map<Object,Object> childOptions,
                        boolean force)

  Description copied from interface: `Transaction.OptionMetadata`
  Updates the options map of a child transaction to inherit the setting in a parent transaction, if it is a hereditary option and the child does not already have a setting for it.

  Specified by:
    `inherit` in interface `Transaction.OptionMetadata`
  Overrides:
    `inherit` in class `BasicTransactionOptionMetadata`
  Parameters:
    `parentOptions` - the options map to inherit a value from. It is conceivable that inheritance of an option may depend on more than one option in this parent map
    `childOptions` - the map that is to inherit the option setting
    `force` - whether to inherit the option anyway despite that it is not hereditary. This is used for application of default options, and can be ignored by the implementor if necessary. Also, clients must not use this parameter to attempt to override an existing child setting; a well-behaved option will not do that

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.